<template>
    <div id="fourth_section" class="row wrapper">
        <!-- <NavSection  colorLink="red" colorLine="blue" ></NavSection> -->
        <div class="content row">
            <h2 class="content-title section-title">{{ local.featuresTitle[$lang] }}</h2>
            <div class="features row">
                <div class="features-column">
                    <feature-item v-for="(item, index) in local.featureItemsLeft"
                                  :key="index"
                                  @eventOpen=" activeSection === (index +'left') ? activeSection = -1 : activeSection = (index +'left')"
                                  :featureIsOpen="activeSection === (index +'left')"
                                  :title="item.title[$lang]"
                                  :descriptionFirst="item.description_first[$lang]"
                                  :descriptionSecond="item.description_second[$lang]"
                    ></feature-item>
                </div>

                <div class="features-column">
                    <feature-item v-for="(item, index) in local.featureItemsRight"
                                  :key="index"
                                   @eventOpen="activeSection === (index +'right') ? activeSection = -1 : activeSection = (index +'right')"
                                  :featureIsOpen="activeSection === (index +'right') "
                                  :title="item.title[$lang]"
                                  :descriptionFirst="item.description_first[$lang]"
                                  :descriptionSecond="item.description_second[$lang]"
                    ></feature-item>
                </div>


            </div>
        </div>
    </div>
</template>


<script>
    import FeatureItem from './FeatureItem.vue'
      import NavSection from "../NavSection.vue"
      import local from "../../localisation/fourthSectionLocalisation.js"


    
    export default {
        methods:{
            
        },
        data: () => ({
            local,
            activeSection: ''
        }),
        components: {
            FeatureItem, NavSection
        }
    }
</script>

<style lang="scss" scoped>
    .wrapper {
        justify-content: center;
    }
    .content {
        width: 1180px;
        flex-wrap: wrap;
        align-content: flex-start;
        @media(max-width: 900px){
            padding-bottom: 50px;
        }
        &-title {
            margin-bottom: 165px;
            width: 100%;
            text-align: center;
            @media(max-width: 900px){
                margin-bottom: 50px;
            }
            @media(max-width: 620px){
                font-size: 20px
            }
        }
        .features {
            justify-content: space-between;
            flex-wrap: wrap;
            width: 100%;
            &-column {
                width: 49%;
                @media(max-width: 900px){
                    width: 100%;
                }
            }
        }

    }
</style>

